## qmidinet 0.6.1

=== CMakeLists.txt ===
project(QMIDINET)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.6.1")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "QmidiNet")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qmidinet")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable Network IPv6 support option.
option (CONFIG_IPV6 "Enable Network IPv6 support (EXPERIMENTAL) (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Network)

if (CONFIG_IPV6)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

#find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for ALSA libraries.
if (CONFIG_ALSA_MIDI)
  pkg_check_modules (ALSA alsa)
  if (ALSA_FOUND)
    include_directories (${ALSA_INCLUDE_DIRS})
    link_directories (${ALSA_LIBRARY_DIRS})
    link_libraries (${ALSA_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** ALSA library not found.")
    set (CONFIG_ALSA_MIDI 0)
  endif ()
endif ()

# Check for JACK libraries.
if (CONFIG_JACK_MIDI)
  pkg_check_modules (JACK jack>=0.100.0)
  if (JACK_FOUND)
    include_directories (${JACK_INCLUDE_DIRS})
    link_directories (${JACK_LIBRARY_DIRS})
    link_libraries (${JACK_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** JACK library not found.")
    set (CONFIG_JACK_MIDI 0)
  endif ()
endif ()


add_subdirectory (src)

configure_file (qmidinet.spec.in qmidinet.spec IMMEDIATE @ONLY)

install (FILES qmidinet.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES qmidinet.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qmidinet.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
message     ("")
show_option ("  Network IPv6 support (EXPERIMENTAL)  . . . . . . ." CONFIG_IPV6)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME qmidinet)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qmidinet.h
  qmidinetAbout.h
  qmidinetUdpDevice.h
  qmidinetAlsaMidiDevice.h
  qmidinetJackMidiDevice.h
  qmidinetOptions.h
  qmidinetOptionsForm.h
)

set (SOURCES
  qmidinet.cpp
  qmidinetUdpDevice.cpp
  qmidinetAlsaMidiDevice.cpp
  qmidinetJackMidiDevice.cpp
  qmidinetOptions.cpp
  qmidinetOptionsForm.cpp
)

set (FORMS
  qmidinetOptionsForm.ui
)

set (RESOURCES
  qmidinet.qrc
)

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets)

if (CONFIG_IPV6)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${NAME} PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_JACK_MIDI)
  target_link_libraries (${NAME} PRIVATE ${JACK_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif ()

## qmidinet 0.1.1

=== debian/changelog ===
qmidinet (0.1.1-2) unstable; urgency=low

  * Disable alsa midi on hurd too (Closes: #637271).
    Patch by Samuel Thibault.
  * Enable autoreconf.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Aug 2011 10:16:51 +0200

qmidinet (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #600622)

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Oct 2010 09:11:47 +0200

=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 automake,
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev,
 libqt4-dev,
 libtool,
 libx11-dev
Homepage: http://qmidinet.sourceforge.net/
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/qmidinet.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qmidinet.git

Package: qmidinet
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (http://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (http://nerds.de).

Package: qmidinet-dbg
Section: debug
Priority: extra
Architecture: any
Depends: qmidinet (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for QmidiNet
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_strip:
	dh_strip --dbg-package=qmidinet-dbg

## qmidinet 0.1.2

=== debian/changelog ===
qmidinet (0.1.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Enable parallel builds.
  * Update Vcs fields.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 May 2012 21:07:51 +0200

=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 automake,
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev,
 libqt4-dev,
 libtool,
 libx11-dev
Homepage: http://qmidinet.sourceforge.net/
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git

Package: qmidinet
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (http://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (http://nerds.de).

Package: qmidinet-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 qmidinet (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for QmidiNet
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug \

## qmidinet 0.1.3

=== debian/changelog ===
qmidinet (0.1.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/copyright.
  * Bump DH compat up to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Apr 2014 17:43:03 +0100

## qmidinet 0.2.0

=== debian/changelog ===
qmidinet (0.2.0-1) unstable; urgency=low

  * Imported Upstream version 0.2.0
  * Added patch to fix FTBFS.
  * Added Keywords to desktop file.
  * Keywords improved in desktop file.
  * Added patch to pass CPPFLAGS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 02 Aug 2014 22:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
  libasound2-dev,
  libjack-dev,
@@ -14,7 +15,7 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git

## qmidinet 0.2.1

=== debian/changelog ===
qmidinet (0.2.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:03:35 +0000

qmidinet (0.2.1-1) unstable; urgency=medium

  * Imported Upstream version 0.2.1
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Mar 2015 14:07:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -15,7 +16,7 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git

## qmidinet 0.3.0

=== debian/changelog ===
qmidinet (0.3.0-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0
  * Switch to QT5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 06:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- automake,
  debhelper (>= 9~),
  dh-autoreconf,
+ automake,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libasound2-dev,
  libjack-dev,
- libqt4-dev,
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
 EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
 endif
+
+export QT_SELECT=qt5
 
 %:
 	dh $@ --parallel --with autoreconf

=== debian/watch ===
version=3
http://sf.net/qmidinet/qmidinet-([\d.]+)\.tar\.gz

## qmidinet 0.4.0

=== debian/changelog ===
qmidinet (0.4.0-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831141)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 22:44:32 +0200

qmidinet (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Fix VCS fields.
  * Patch removed.
  * Add .gitignore file.
  * Patches refreshed.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 01:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qmidinet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qmidinet.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git
 
 Package: qmidinet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
 EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export QT_SELECT=qt5

## qmidinet 0.4.2

=== debian/changelog ===
qmidinet (0.4.2-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #845008)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 17:48:10 +0100

qmidinet (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patches refreshed.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Nov 2016 07:39:07 +0100

qmidinet (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Patch refreshed.
  * Patch applied upstream.
  * Drop dbg package in favour of dbgsym.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 14:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dh-autoreconf,
  automake,
  qtbase5-dev,
@@ -31,16 +31,3 @@
  MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
  It was inspired by multimidicast (http://llg.cubic.org/tools) and
  designed to be compatible with ipMIDI for Windows (http://nerds.de).
-
-Package: qmidinet-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- qmidinet (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for QmidiNet
- QmidiNet is a MIDI network gateway application that sends and receives
- MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,8 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug \
 		$(EXTRA_CONFIGURE_ARGS)
-
-override_dh_strip:
-	dh_strip --dbg-package=qmidinet-dbg

## qmidinet 0.4.3

=== debian/changelog ===
qmidinet (0.4.3-2) unstable; urgency=medium

  * Add patch to make build reproducible. (Closes: #866164)
  * Install upstream man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 23:41:24 +0200

qmidinet (0.4.3-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.4.3
  * Bump Standards.
  * Update copyright.
  * Remove dh_autorenf.
  * Fis dh version.
  * Sign tags.
  * Patches refreshed/deleted.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 13:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10~),
- dh-autoreconf,
+ debhelper (>= 10),
  automake,
  qtbase5-dev,
  qttools5-dev-tools,
@@ -16,7 +15,7 @@
  libtool,
  libx11-dev
 Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git

## qmidinet 0.5.0

=== debian/changelog ===
qmidinet (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 18:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  libjack-dev,
  libtool,
  libx11-dev
-Homepage: http://qmidinet.sourceforge.net/
-Standards-Version: 4.0.0
+Homepage: https://qmidinet.sourceforge.io
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qmidinet.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qmidinet.git
 
 Package: qmidinet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 export QT_SELECT=qt5
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug \

=== debian/watch ===
version=3
https://sf.net/qmidinet/qmidinet-([\d.]+)\.tar\.gz

## qmidinet 0.6.1

=== debian/changelog ===
qmidinet (0.6.1-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Disable debugging (Closes: #894660)
  * Bump Standards-Version
  * Remove jackd from qmidinet depends (Closes: #891815)

  [ Sebastian Ramacher ]
  * debian/: Switch to cmake.

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Feb 2020 20:45:43 +0100

qmidinet (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)
  * Update d/control (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Update d/copyright year
  * Update d/patches/03-fix_hardening.patch

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 25 Jan 2020 14:41:43 +0100

qmidinet (0.5.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
    - Remove automake from B-D
    - Set RRR: no
  * debian/copyright: Document appstream license

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 20:57:12 +0200

=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 qtbase5-dev,
 qttools5-dev-tools,
 libasound2-dev,
 libjack-dev,
 libtool,
 libx11-dev
Homepage: https://qmidinet.sourceforge.io
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
Rules-Requires-Root: no

Package: qmidinet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (https://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (https://nerds.de).

=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
EXTRA_CONFIGURE_ARGS += -DCONFIG_ALSA_MIDI=OFF
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT=qt5

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## qmidinet 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.6.1")
+set (VERSION "0.6.3")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,8 @@
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
   install (FILES images/${NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
+  install (FILES images/${NAME}.svg
+     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
   install (FILES appdata/${NAME}.appdata.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 endif ()

=== debian/changelog ===
qmidinet (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:52:32 +0200

qmidinet (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Add me as uploader
  * Drop reproducible-build.patch, applied by upstream

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 23:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools,
  libasound2-dev,

## qmidinet 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(QMIDINET)
+cmake_minimum_required(VERSION 3.10)
 
-cmake_minimum_required(VERSION 3.1)
+project(qmidinet
+  VERSION 0.9.1
+  DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
+  LANGUAGES C CXX)
 
-set (VERSION "0.6.3")
-
-set (CONFIG_VERSION ${VERSION})
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -12,8 +13,7 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -24,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "QmidiNet")
@@ -70,13 +72,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Network)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_IPV6)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
 endif ()
 
-#find_package (Qt5LinguistTools)
+#find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
@@ -95,7 +98,7 @@
 
 # Check for ALSA libraries.
 if (CONFIG_ALSA_MIDI)
-  pkg_check_modules (ALSA alsa)
+  pkg_check_modules (ALSA IMPORTED_TARGET alsa)
   if (ALSA_FOUND)
     include_directories (${ALSA_INCLUDE_DIRS})
     link_directories (${ALSA_LIBRARY_DIRS})
@@ -109,7 +112,7 @@
 
 # Check for JACK libraries.
 if (CONFIG_JACK_MIDI)
-  pkg_check_modules (JACK jack>=0.100.0)
+  pkg_check_modules (JACK IMPORTED_TARGET jack>=0.100.0)
   if (JACK_FOUND)
     include_directories (${JACK_INCLUDE_DIRS})
     link_directories (${JACK_LIBRARY_DIRS})

=== src/CMakeLists.txt ===
# project(qmidinet)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif()
configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qmidinet.h
  qmidinetAbout.h
  qmidinetUdpDevice.h
  qmidinetAlsaMidiDevice.h
  qmidinetJackMidiDevice.h
  qmidinetOptions.h
  qmidinetOptionsForm.h
)

set (SOURCES
  qmidinet.cpp
  qmidinetUdpDevice.cpp
  qmidinetAlsaMidiDevice.cpp
  qmidinetJackMidiDevice.cpp
  qmidinetOptions.cpp
  qmidinetOptionsForm.cpp
)

set (FORMS
  qmidinetOptionsForm.ui
)

set (RESOURCES
  qmidinet.qrc
)


add_executable (${PROJECT_NAME}
  ${HEADERS}
  ${SOURCES}
  ${FORMS}
  ${RESOURCES}
)

set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

if (WIN32)
  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

if (CONFIG_IPV6)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::ALSA)
endif ()

if (CONFIG_JACK_MIDI)
  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::JACK)
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${PROJECT_NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${PROJECT_NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${PROJECT_NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${PROJECT_NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${PROJECT_NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
endif ()

if (WIN32)
   install (TARGETS ${PROJECT_NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif ()

=== debian/changelog ===
qmidinet (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Refresh hardening patch
  * Update d/copyright year
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:26:13 +0100

qmidinet (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Dec 2020 22:34:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libtool,
  libx11-dev
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export QT_SELECT=qt5
 
 %:

## qmidinet 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,27 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required (VERSION 3.13)
 
-project(qmidinet
-  VERSION 0.9.1
+project (qmidinet
+  VERSION 0.9.4
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   LANGUAGES C CXX)
 
 set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
+  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -34,17 +38,21 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qmidinet")
 
+set (ac_version "${PROJECT_VERSION}")
+set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
+
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CMAKE_BUILD_TYPE)
-  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
+if (CONFIG_DEBUG)
+  set (CMAKE_BUILD_TYPE "Debug")
+endif ()
+if (CMAKE_BUILD_TYPE MATCHES "Debug")
+  set (CONFIG_DEBUG 1)
+endif ()
+if (CONFIG_DEBUG)
+  set (CONFIG_BUILD_TYPE "debug")
 else ()
   set (CONFIG_BUILD_TYPE "release")
-endif ()
-
-set (CONFIG_DEBUG 0)
-if (CONFIG_BUILD_TYPE MATCHES "debug")
-  set (CONFIG_DEBUG 1)
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
@@ -66,13 +74,29 @@
 option (CONFIG_IPV6 "Enable Network IPv6 support (EXPERIMENTAL) (default=yes)" 1)
 
 
+# Enable Qt6 build preference.
+option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
+
+
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
 if (POLICY CMP0075)
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
-# Check for Qt
-find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+# Check for Qt...
+if (CONFIG_QT6)
+  find_package (Qt6 QUIET)
+  if (NOT Qt6_FOUND)
+    set (CONFIG_QT6 0)
+  endif ()
+endif ()
+
+if (CONFIG_QT6)
+  find_package (QT QUIET NAMES Qt6)
+else ()
+  find_package (QT QUIET NAMES Qt5)
+endif ()
+
 find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_IPV6)
@@ -94,16 +118,17 @@
 
 
 # Find package modules
-find_package (PkgConfig REQUIRED)
+include (FindPkgConfig)
 
 # Check for ALSA libraries.
 if (CONFIG_ALSA_MIDI)
   pkg_check_modules (ALSA IMPORTED_TARGET alsa)
   if (ALSA_FOUND)
-    include_directories (${ALSA_INCLUDE_DIRS})
-    link_directories (${ALSA_LIBRARY_DIRS})
-    link_libraries (${ALSA_LIBRARIES})
-  # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+    find_library(ALSA_LIBRARY NAMES ${ALSA_LIBRARIES} HINTS ${ALSA_LIBDIR})
+  endif ()
+  if (ALSA_LIBRARY)
+    set (CONFIG_ALSA_MIDI 1)
+   #set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   else ()
     message (WARNING "*** ALSA library not found.")
     set (CONFIG_ALSA_MIDI 0)
@@ -114,10 +139,11 @@
 if (CONFIG_JACK_MIDI)
   pkg_check_modules (JACK IMPORTED_TARGET jack>=0.100.0)
   if (JACK_FOUND)
-    include_directories (${JACK_INCLUDE_DIRS})
-    link_directories (${JACK_LIBRARY_DIRS})
-    link_libraries (${JACK_LIBRARIES})
-  # set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+    find_library(JACK_LIBRARY NAMES ${JACK_LIBRARIES} HINTS ${JACK_LIBDIR})
+  endif ()
+  if (JACK_LIBRARY)
+    set (CONFIG_JACK_MIDI 1)
+   #set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   else ()
     message (WARNING "*** JACK library not found.")
     set (CONFIG_JACK_MIDI 0)
@@ -142,11 +168,11 @@
 endmacro ()
 
 
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
+message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
 show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
 message     ("")
 show_option ("  Network IPv6 support (EXPERIMENTAL)  . . . . . . ." CONFIG_IPV6)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-# project(qmidinet)
+# project (qmidinet)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set (CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
+set (CMAKE_AUTOUIC ON)
+set (CMAKE_AUTOMOC ON)
+set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-endif()
+    file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif ()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -45,6 +45,12 @@
   ${FORMS}
   ${RESOURCES}
 )
+
+# Add some debugger flags.
+if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
+  target_compile_options (${PROJECT_NAME} PRIVATE -g -fsanitize=address -fno-omit-frame-pointer)
+  target_link_libraries (${PROJECT_NAME} PRIVATE asan)
+endif ()
 
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

=== debian/changelog ===
qmidinet (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 00:39:35 -0400

qmidinet (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Refresh hardening patch
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:38:18 +0200

## qmidinet 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required (VERSION 3.13)
+cmake_minimum_required (VERSION 3.15)
 
 project (qmidinet
-  VERSION 0.9.4
+  VERSION 0.9.5
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   LANGUAGES C CXX)
 
@@ -174,5 +174,4 @@
 show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
 message     ("")
 show_option ("  Network IPv6 support (EXPERIMENTAL)  . . . . . . ." CONFIG_IPV6)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
-message   ("\nNow type 'make', followed by 'make install' as root.\n")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
 endif ()
-configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
   qmidinet.h
@@ -80,13 +80,13 @@
 if (UNIX AND NOT APPLE)
   install (TARGETS ${PROJECT_NAME} RUNTIME
      DESTINATION ${CMAKE_INSTALL_BINDIR})
-  install (FILES ${PROJECT_NAME}.desktop
+  install (FILES org.rncbc.${PROJECT_NAME}.desktop
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
   install (FILES images/${PROJECT_NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
   install (FILES images/${PROJECT_NAME}.svg
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
-  install (FILES appdata/${PROJECT_NAME}.appdata.xml
+  install (FILES appdata/org.rncbc.${PROJECT_NAME}.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 endif ()

=== debian/changelog ===
qmidinet (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 16:47:44 -0500

qmidinet (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Remove hardening patch, autotools build system have been removed
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 15:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -16,7 +17,7 @@
  libtool,
  libx11-dev
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ -Scmake
+	dh $@ -Scmake --disable-qt6
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## qmidinet 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qmidinet
-  VERSION 0.9.5
+  VERSION 0.9.6
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   LANGUAGES C CXX)
 
@@ -73,6 +73,8 @@
 # Enable Network IPv6 support option.
 option (CONFIG_IPV6 "Enable Network IPv6 support (EXPERIMENTAL) (default=yes)" 1)
 
+# Enable Wayland support option.
+option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
@@ -153,10 +155,11 @@
 
 add_subdirectory (src)
 
-configure_file (qmidinet.spec.in qmidinet.spec IMMEDIATE @ONLY)
 
-install (FILES qmidinet.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install (FILES qmidinet.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qmidinet.1)
+if (UNIX AND NOT APPLE)
+  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
+endif ()
+
 
 # Configuration status
 macro (SHOW_OPTION text value)
@@ -173,5 +176,5 @@
 show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
 show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
 message     ("")
-show_option ("  Network IPv6 support (EXPERIMENTAL)  . . . . . . ." CONFIG_IPV6)
+show_option ("  Network IPv6 support . . . . . . . . . . . . . . ." CONFIG_IPV6)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -48,8 +48,9 @@
 
 # Add some debugger flags.
 if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
-  target_compile_options (${PROJECT_NAME} PRIVATE -g -fsanitize=address -fno-omit-frame-pointer)
-  target_link_libraries (${PROJECT_NAME} PRIVATE asan)
+  set (CONFIG_DEBUG_OPTIONS -g -fsanitize=address -fno-omit-frame-pointer)
+  target_compile_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
+  target_link_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
 endif ()
 
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
@@ -79,18 +80,24 @@
 
 if (UNIX AND NOT APPLE)
   install (TARGETS ${PROJECT_NAME} RUNTIME
-     DESTINATION ${CMAKE_INSTALL_BINDIR})
-  install (FILES org.rncbc.${PROJECT_NAME}.desktop
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    DESTINATION ${CMAKE_INSTALL_BINDIR})
   install (FILES images/${PROJECT_NAME}.png
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
+    RENAME org.rncbc.${PROJECT_NAME}.png
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
   install (FILES images/${PROJECT_NAME}.svg
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
-  install (FILES appdata/org.rncbc.${PROJECT_NAME}.xml
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+    RENAME org.rncbc.${PROJECT_NAME}.svg
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+  install (FILES appdata/org.rncbc.${PROJECT_NAME}.desktop
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+  install (FILES appdata/org.rncbc.${PROJECT_NAME}.metainfo.xml
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+  install (FILES man1/${PROJECT_NAME}.1
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+  install (FILES man1/${PROJECT_NAME}.fr.1
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
 endif ()
 
 if (WIN32)
-   install (TARGETS ${PROJECT_NAME} RUNTIME
-     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+  install (TARGETS ${PROJECT_NAME} RUNTIME
+    DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 endif ()

=== debian/changelog ===
qmidinet (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Update d/copyright year of the appdata file

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 16 Apr 2022 22:39:07 +0200

## qmidinet 0.9.7

=== debian/changelog ===
qmidinet (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * Bump Standards Version to 4.6.1
  * Build with Qt6
  * Sort B-Ds

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 07 Oct 2022 14:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -10,14 +9,15 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- qtbase5-dev,
- qttools5-dev-tools,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
+ libqt6svg6-dev,
  libtool,
- libx11-dev
+ libx11-dev,
+ qt6-base-dev,
+ qt6-tools-dev-tools
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no

## qmidinet 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qmidinet
-  VERSION 0.9.6
+  VERSION 0.9.8
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   LANGUAGES C CXX)
 
@@ -37,9 +37,6 @@
 set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qmidinet")
-
-set (ac_version "${PROJECT_VERSION}")
-set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
 
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
@@ -99,7 +96,7 @@
   find_package (QT QUIET NAMES Qt5)
 endif ()
 
-find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Svg)
 
 if (CONFIG_IPV6)
   find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
@@ -156,11 +153,6 @@
 add_subdirectory (src)
 
 
-if (UNIX AND NOT APPLE)
-  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
-endif ()
-
-
 # Configuration status
 macro (SHOW_OPTION text value)
   if (${value})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
   set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
 endif ()
 
-target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
+target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Svg)
 
 if (CONFIG_IPV6)
   target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)

=== debian/changelog ===
qmidinet (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Change my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:42:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
@@ -17,7 +17,7 @@
  qt6-base-dev,
  qt6-tools-dev-tools
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no

## qmidinet 0.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qmidinet
-  VERSION 0.9.8
+  VERSION 0.9.11
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   LANGUAGES C CXX)
 
@@ -40,16 +40,13 @@
 
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CONFIG_DEBUG)
-  set (CMAKE_BUILD_TYPE "Debug")
-endif ()
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
   set (CONFIG_DEBUG 1)
-endif ()
-if (CONFIG_DEBUG)
   set (CONFIG_BUILD_TYPE "debug")
 else ()
+  set (CONFIG_DEBUG 0)
   set (CONFIG_BUILD_TYPE "release")
+  set (CMAKE_BUILD_TYPE "Release")
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
qmidinet (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:55:03 +0200

qmidinet (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 20:17:01 +0200
